.yellow-button {
    @include button($my-yellow, inline-block)  // display: block already takes 100% width
}

.yellow-button-block {
    @include button($my-yellow, block)  // display: block already takes 100% width
}


.green-button {
    @include button($my-green, inline-block) 
}